Subject: [Forces-protocol] Event attributes

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Fri, 14 May 2004 18:47:12 -0700

Hi Weiming, All

-----Original Message-----

Couple of other questions...
What does Event 'Config' msg mean ? What direction is this msg CE-FE ??
I am a little confused about this.
[Weiming] I actually have mentioned this a little in the last post. My
original
thought was some events may need to setup some parameters (may be called
Event
attributes) before they can act. E.g., the HB event, it may be told the
time
interval to send the HB signals before it can actually be used,
therefore, the
Event config op is used to set up the time interval for the HB. The
direction is
surely be from CE->FE.
Of course, this event attributes can also be configured by Config msg,
owing to
the same reason for Sub/Unsub ops, we may also put it in Event msg. We
may need
to discuss it more on which is better?
[/Weiming]

I see what you mean now. The question I would ask is, do we really need
configuration of event attributes ? and if so at what time ? In our
current implementation, we do setup of HB interval at Join or
Association setup time before we actually start sending HBs. Most
protocols I know either have this as a default value or do this at
start-up time. Changing this in the middle can make the implementation
tricky. Do you guys do this currently ? Also, are there any other Event
attributes that one might want to configure ? I cannot think of any
right now.

Once we answer the basic questions, we can decide if this should be part
of Event or Config or some other msg.

Thanks
Hormuzd

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol

---

From: "Weiming Wang" <[email-masked]>
Date: Sat, 15 May 2004 11:04:28 +0800

Hormuzd,

----- Original Message -----
From: "Khosravi, Hormuzd M" <[email-masked]>
Hi Weiming, All

-----Original Message-----

Couple of other questions...
What does Event 'Config' msg mean ? What direction is this msg CE-FE ??
I am a little confused about this.
[Weiming] I actually have mentioned this a little in the last post. My original
thought was some events may need to setup some parameters (may be called Event
attributes) before they can act. E.g., the HB event, it may be told the time
interval to send the HB signals before it can actually be used, therefore, the
Event config op is used to set up the time interval for the HB. The direction is
surely be from CE->FE.
Of course, this event attributes can also be configured by Config msg, owing to
the same reason for Sub/Unsub ops, we may also put it in Event msg. We may need
to discuss it more on which is better?
[/Weiming]

I see what you mean now. The question I would ask is, do we really need
configuration of event attributes ? and if so at what time ? In our
current implementation, we do setup of HB interval at Join or
Association setup time before we actually start sending HBs. Most
protocols I know either have this as a default value or do this at
start-up time. Changing this in the middle can make the implementation
tricky. Do you guys do this currently ? Also, are there any other Event
attributes that one might want to configure ? I cannot think of any
right now.
[WeimingRe] I don't quite agree to have the HB interval set at the association
time, because firstly I think this parameter is not important enough that should
be treated during the association time, secondly, to put it in association msg
also means this parmater is static, and can not be changed, which I think reduce
the flexibility. I'm not very sure the harm (tricky)  you mentioned for such
change, could you explain more?

Once we answer the basic questions, we can decide if this should be part
of Event or Config or some other msg.
[WeimingRe] Actually I'm not sticky to 'Event config', but I think we may need
to have a careful check of at least FE model to see if such config is needed.
Another way is just to leave this aside currently,  and later if we think it is
needed I think it is easy to be added, do you agree?

Thanks
Hormuzd

Thanks,
Weiming